summaryrefslogtreecommitdiffstats
path: root/libraries/wv/wv.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:33:45 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-13 00:33:45 +0200
commite1ee9cc8e520fa1739ee09519c0f82a7a94be6bf (patch)
tree518715d0ed356f20ae4887a939ec80a88a741398 /libraries/wv/wv.SlackBuild
parent1bfbb5ada0bd88b5f0f9626faf827fdd06e8a68d (diff)
downloadslackbuilds-e1ee9cc8e520fa1739ee09519c0f82a7a94be6bf.tar.gz
slackbuilds-e1ee9cc8e520fa1739ee09519c0f82a7a94be6bf.tar.xz
libraries/wv: Updated for version 1.2.4
Diffstat (limited to 'libraries/wv/wv.SlackBuild')
-rw-r--r--libraries/wv/wv.SlackBuild19
1 files changed, 12 insertions, 7 deletions
diff --git a/libraries/wv/wv.SlackBuild b/libraries/wv/wv.SlackBuild
index 2c06c44d62..a727f75c70 100644
--- a/libraries/wv/wv.SlackBuild
+++ b/libraries/wv/wv.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for wv
-# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008-2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wv
-VERSION=1.2.1
+VERSION=1.2.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,19 +63,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--enable-static=no \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -88,4 +93,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}